# Commander l'installation de l'équipement ![](https://docs.equinix.com/fr/assets/images/OrderEquipmentInstallation-cd03635f3bb234dd0b73c67a751046ad.png) ## Conditions préalables[​](#conditions-préalables "Lien direct vers Conditions préalables") 1. Pour obtenir les détails Smart Hands, vous devez disposer de `Smart Hands` l'autorisation. 2. Authentifier - envoyez vos identifiants utilisateur, votre identifiant client et votre secret client pour l'authentification OAuth2. Pour obtenir des instructions sur la façon d'appeler l'API OAuth pour valider et authentifier vos identifiants, reportez-vous à [authentification API](https://docs.equinix.com/fr/equinix-api/api-authentication.md). 3. Obtenir les types de Smart Hands - envoyez une `GET` demande au [`/v1/orders/smarthands/types`](https://docs.equinix.com/fr/api-catalog/smarthandsv1/smarthands/smarthandtypes.md)terminal pour obtenir tous les types de commande Smart Hands. Vous pouvez ignorer cette étape si vous connaissez déjà le type de commande Smart Hands. 4. Obtenir des informations de localisation : envoyez une `GET` demande au [`/v1/orders/smarthands/locations`](https://docs.equinix.com/fr/api-catalog/smarthandsv1/smarthands/getlocation.md)point final pour récupérer les emplacements IBX disponibles auxquels vous avez accès. Vous pouvez ignorer cette étape si vous connaissez déjà les informations de localisation. ## Commande d'installation de matériel - exemple minimal[​](#commande-dinstallation-de-matériel---exemple-minimal "Lien direct vers Commande d'installation de matériel - exemple minimal") Pour commander l'installation de l'équipement par un technicien Equinix IBX, envoyez `POST`une demande au [`/v1/orders/smarthands/equipmentInstall`](https://docs.equinix.com/fr/api-catalog/smarthandsv1/smarthands/handlesmarthandorder.md)terminal. Dans le corps de la demande, précisez vos exigences d'installation. Exemple de requête cURL : ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/equipmentInstall" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "deviceLocation": "DHL tracking no. 1039 5739 92",     "elevationDrawingAttached": false,     "installationPoint": "Front and center.",     "patchDevices": true,     "patchingInfo": "When patching use the next available port, but maintain a symmetrical appearance.",     "powerItOn": true,     "mountHardwareIncluded": true,     "installedEquipmentPhotoRequired": true,     "scopeOfWork": "When installing make sure wires are all labeled."   },   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "contacts": [     {         "contactType": "ORDERING",         "userName": "johndoe"     },     {         "contactType": "TECHNICAL",         "userName": "johndoe",         "workPhonePrefToCall": "ANYTIME"     },     {         "contactType": "NOTIFICATION",         "userName": "johndoe"     }   ] }' ``` Exemple de réponse : ``` { "OrderNumber": "1-190986534844" } ``` La réponse indique que la commande a abouti et renvoie le numéro de commande. ## Commande d'installation d'équipement - exemple étendu[​](#commande-dinstallation-déquipement---exemple-étendu "Lien direct vers Commande d'installation d'équipement - exemple étendu") Pour commander l'installation de l'équipement par un technicien Equinix IBX, envoyez `POST`une demande au [`/v1/orders/smarthands/equipmentInstall`](https://docs.equinix.com/fr/api-catalog/smarthandsv1/smarthands/handlesmarthandorder.md)terminal. Dans le corps de la demande, précisez vos exigences d'installation. Utilisez l'`attachments`objet pour inclure des détails supplémentaires sur un technicien. > **Note** > > Avant de créer une commande avec pièce jointe, appelez le [`Attachments File`](https://docs.equinix.com/fr/api-catalog/attachmentsv1/attachments/createattachment.md) terminal. ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/equipmentInstall" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "cabinets": [             "AM1:0J:00JD11:0001"         ],         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "deviceLocation": "DHL tracking no. 1039 5739 92",     "elevationDrawingAttached": true,     "installationPoint": "Front and center.",     "patchDevices": true,     "patchingInfo": "When patching use the next available port, but maintain a symmetrical appearance.",     "powerItOn": true,     "mountHardwareIncluded": true,     "installedEquipmentPhotoRequired": true,     "scopeOfWork": "When installing make sure wires are all labeled.",     "needSupportFromASubmarineCableStationEngineer": true   },   "attachments": [     {         "id": "fcb4a673-6308-456e-8f83-f745501d60ba",         "name": "Elevation drawing.docx"     }   ],   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "customerReferenceNumber": "EQX-PO2019-08-001",   "purchaseOrder": {     "purchaseOrderType": "EXEMPTED",     "attachment": {         "id": "abc1fd2e-345f-67g4-hi89-01jk234l5m6n",         "name": "PurchaseOrderExemptionForm123.docx"     }   },   "contacts": [     {         "contactType": "ORDERING",         "userName": "johndoe"     },     {         "contactType": "TECHNICAL",         "name": "Jane Smith",         "email": "janesmith@corporation.com",         "workPhoneCountryCode": "+44",         "workPhone": "0148211111",         "workPhonePrefToCall": "MY_BUSINESS_HOURS",         "workPhoneTimeZone": "Europe/London",         "mobilePhoneCountryCode": "+44",         "mobilePhone": "0123456789",         "mobilePhonePrefToCall": "MY_BUSINESS_HOURS",         "mobilePhoneTimeZone": "Europe/London"     },     {         "contactType": "NOTIFICATION",         "userName": "johndoe"     },     {         "contactType": "NOTIFICATION",         "userName": "janesmith"     }   ] }' ``` Pour obtenir une liste complète des paramètres corporels et des descriptions, reportez-vous [à la référence API](https://docs.equinix.com/fr/api-catalog/smarthandsv1/smarthands/handlesmarthandorder.md) .